# Package

version       = "0.1.0"
author        = "Jonathan Bernard"
description   = "Utility to monitor the price of specific stocks."
license       = "MIT"
srcDir        = "src"
bin           = @["stock_watcher"]


# Dependencies

requires "nim >= 1.6.10"
requires @[ "docopt", "zero_functional" ]

# dependencies from git.jdb-software.com
requires @[
  "cliutils >= 0.9.0",
  "https://git.jdb-software.com/jdb/update-nim-package-version"
]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version stock_watcher 'src/stock_watcherpkg/cliconstants.nim'"
